package com.njcn.gather.pqdif.pojo.enums;

import lombok.Getter;

@Getter
public enum PqdifResponseEnum {
    JSON_FILE_NOT_NULL("A019001", "JSON文件不能为空"),
    JSON_FORMAT_ERROR("A019002", "JSON格式错误"),
    IMPORT_ITEM_NOT_NULL("A019003", "导入数据项不能为空"),
    IMPORT_ID_REPEAT("A019004", "导入数据中存在重复id"),
    IMPORT_FAILED("A019005", "PQDIF导入失败");

    private final String code;
    private final String message;

    PqdifResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
